List connections
curl --request GET \
--url https://api.matrices.com/v1/connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connections": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "token",
"name": "<string>",
"owner": {
"type": "workspace"
},
"status": "ready",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 2,
"workspaceId": "<string>",
"namespace": "<string>",
"products": [
{
"namespace": "<string>",
"presets": [
"default"
]
}
],
"provider": "google",
"remoteResource": {
"id": "<string>",
"kind": "workspace",
"name": "<string>"
},
"remoteSubject": "<string>",
"remoteTenant": "<string>",
"revokedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Connections
List connections
Returns a cursor page of safe connection metadata. Credential material is never returned. When status is omitted, revoked tombstones are excluded; pass status=revoked to retrieve them explicitly.
GET
/
v1
/
connections
List connections
curl --request GET \
--url https://api.matrices.com/v1/connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connections": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "token",
"name": "<string>",
"owner": {
"type": "workspace"
},
"status": "ready",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 2,
"workspaceId": "<string>",
"namespace": "<string>",
"products": [
{
"namespace": "<string>",
"presets": [
"default"
]
}
],
"provider": "google",
"remoteResource": {
"id": "<string>",
"kind": "workspace",
"name": "<string>"
},
"remoteSubject": "<string>",
"remoteTenant": "<string>",
"revokedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
APIKeyBearerAgentLeaseBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 200Return only connections to this managed provider. Mutually exclusive with toolsetId — a connection belongs to either a managed provider or a custom toolset.
Available options:
google, slack, notion, github, linear, vercel, figma, stripe, posthog, datadog, cloudflare, apollo Return only connections to this custom toolset. Mutually exclusive with provider — a connection belongs to either a managed provider or a custom toolset.
Maximum string length:
24Pattern:
^toolset_[0-9a-f]{16}$Available options:
workspace, identity Return one exact status. When omitted, revoked tombstones are excluded.
Available options:
ready, needs_reauth, revoked Return only connections owned by exactly this identity (implies ownerType=identity).
Minimum string length:
1